Get import log issues

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/source-issues

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
  • importLogId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • customId string
    • name string
    • value string
    • field string
    • id integer(int64)
    • issueType string

      Values are Invalid_Forecast_Date, Manually_Scheduled_Activity, or Manually_Scheduled_Summary.

    • entity string

      Values are Activity, Logic, Report, Calendar, CalendarWorktime, or WBS.

    • entityId integer(int64)
GET /project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/source-issues
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/source-issues' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "customId": "string",
    "name": "string",
    "value": "string",
    "field": "string",
    "id": 42,
    "issueType": "Invalid_Forecast_Date",
    "entity": "Activity",
    "entityId": 42
  }
]